AUTHOR = 'James Vasile and Karl Fogel'
SITENAME = 'OTS Blog'
SITEURL = 'https://blog.opentechstrategies.com'

PATH = 'content'

TIMEZONE = 'America/New_York'

DEFAULT_LANG = 'en'

FEED_DOMAIN = SITEURL
AUTHOR_FEED_ATOM = 'feeds/{slug}.author.atom.xml'
AUTHOR_FEED_RSS = 'feeds/{slug}.author.rss'
FEED_ALL_ATOM = 'feeds/all.atom.xml'
FEED_ALL_RSS = 'feeds/all.rss'
TAG_FEED_ATOM = 'feeds/{slug}.tag.atom.xml'
TAG_FEED_RSS = 'feeds/{slug}.tag.rss'
CATEGORY_FEED_ATOM = 'feeds/{slug}.atom.xml'
CATEGORY_FEED_RSS = 'feeds/{slug}.rss'

TRANSLATION_FEED_ATOM = None # we only post in english and no translations

THEME = "themes/ots"
ARTICLE_URL = '{date:%Y}/{date:%m}/{slug}/'
ARTICLE_SAVE_AS = ARTICLE_URL + 'index.html'
PAGE_URL="pages/{slug}/"
PAGE_SAVE_AS = PAGE_URL + 'index.html'
YEAR_ARCHIVE_SAVE_AS = '{date:%Y}/index.html'
MONTH_ARCHIVE_SAVE_AS = '{date:%Y}/{date:%b}/index.html'
DAY_ARCHIVE_SAVE_AS = '{date:%Y}/{date:%b}/{date:%d}/index.html'

STATIC_PATHS=[ 'uploads']
PAGE_PATHS = ['pages']
# Blogroll
LINKS = (('Pelican', 'https://getpelican.com/'),
         ('Python.org', 'https://www.python.org/'),
         ('Jinja2', 'https://palletsprojects.com/p/jinja/'),
         ('You can modify those links in your config file', '#'),)

# Social widget
SOCIAL = (('You can add links in your config file', '#'),
          ('Another social link', '#'),)

DEFAULT_PAGINATION = 5
RECENT_ARTICLES = 5

PLUGINS = []

# Uncomment following line if you want document-relative URLs when developing
#RELATIVE_URLS = True
